# ========================================================================================================================================================
# Base de Datos Admisión (HN) v1 2024-06-07 Test-z
# ========================================================================================================================================================

# Crear tabla TblAdmisiones =================================================================================================================================

CREATE TABLE TblAdmisiones (
  AdsId INTEGER NOT NULL AUTO_INCREMENT, 
  AdsTip VARCHAR(20) NOT NULL, 
  PacId INTEGER NOT NULL, 
  AdsCon VARCHAR(50) NOT NULL, 
  AdsPar VARCHAR(30) NOT NULL, 
  AdsTel VARCHAR(15) NOT NULL, 
  AdsFch DATETIME NOT NULL, 
  AdsObs VARCHAR(250) NOT NULL, 
  AdsSts TINYINT NOT NULL, 
  UsuId INTEGER NOT NULL, 
  AdsAct TINYINT NOT NULL,
  PRIMARY KEY (AdsId)
)
ENGINE=InnoDB;

INSERT INTO TblAdmisiones (AdsId, AdsTip, PacId, AdsCon, AdsPar, AdsTel, AdsFch, AdsObs, AdsSts, UsuId, AdsAct) 
VALUES (0, '0', 0, '0', '0', '0', '2000-01-01', '0', 0, 0, 0);

UPDATE TblAdmisiones SET AdsId = 0 WHERE AdsId = 1;

ALTER TABLE TblAdmisiones AUTO_INCREMENT = 1;

# Estructura de la tabla TblCitas ========================================================================================================================

CREATE TABLE TblCitas (
  CitId INTEGER NOT NULL AUTO_INCREMENT, 
  CitNro TINYINT NOT NULL, 
  PsrId INTEGER NOT NULL, 
  EspId INTEGER NOT NULL, 
  PacId INTEGER NOT NULL, 
  CitPri VARCHAR(15) NOT NULL, 
  CitTip VARCHAR(20) NOT NULL, 
  CitCit VARCHAR(15) NOT NULL, 
  CitFci DATE NOT NULL, 
  CitHci TIME NOT NULL, 
  CitFch DATE NOT NULL, 
  CitSts TINYINT NOT NULL, 
  UsuId INTEGER NOT NULL, 
  PRIMARY KEY (CitId)
) 
ENGINE=InnoDB;

# Estructura de la tabla TblConfiguracionesAds ==========================================================================================================

CREATE TABLE TblConfiguracionesAds (
  ConId INTEGER NOT NULL AUTO_INCREMENT, 
  PerId INTEGER NOT NULL, 
  ConNom VARCHAR(100) NOT NULL, 
  ConSts VARCHAR(250) NOT NULL, 
  PRIMARY KEY (ConId)
) 
ENGINE=InnoDB;

# Estructura de la tabla TblExpedientes ==================================================================================================================

CREATE TABLE TblExpedientes (
  ExpId INTEGER NOT NULL AUTO_INCREMENT, 
  PacId INTEGER NOT NULL, 
  UsuId INTEGER NOT NULL, 
  PRIMARY KEY (ExpId)
) 
ENGINE=InnoDB;

# Crear tabla TblIngresos ================================================================================================================================

CREATE TABLE TblIngresos (
  IngId INTEGER NOT NULL AUTO_INCREMENT, 
  CauId INTEGER NOT NULL, 
  IngTip VARCHAR(20) NOT NULL, 
  IngInt VARCHAR(20) NOT NULL, 
  IngUni VARCHAR(20) NOT NULL, 
  PacId INTEGER NOT NULL, 
  SerId INTEGER NOT NULL, 
  AmbId INTEGER NOT NULL, 
  PsrId INTEGER NOT NULL, 
  AdsId INTEGER NOT NULL, 
  IngFch DATETIME NOT NULL, 
  IngObs VARCHAR(250) NOT NULL, 
  UsuId INTEGER NOT NULL, 
  IngAct TINYINT NOT NULL,
  PRIMARY KEY (IngId)
)
ENGINE=InnoDB;

INSERT INTO TblIngresos (IngId, CauId, IngTip, IngInt, IngUni, PacId, SerId, AmbId, PsrId, AdsId, IngFch, IngObs, UsuId, IngAct) 
VALUES (0, 0, '0', '0', '0', 0, 0, 0, 0, 0, '2000-01-01', '0', 0, 0);

UPDATE TblIngresos SET IngId = 0 WHERE IngId = 1;

ALTER TABLE TblIngresos AUTO_INCREMENT = 1;

# Relaciones de la tabla TblAdmisiones ===================================================================================================================

ALTER TABLE TblAdmisiones ADD CONSTRAINT TblAdmisionesPacId FOREIGN KEY (PacId) REFERENCES TblPacientes (PacId);
ALTER TABLE TblAdmisiones ADD CONSTRAINT TblAdmisionesUsuId FOREIGN KEY (UsuId) REFERENCES TblUsuarios (UsuId);

# Relaciones de la tabla TblCitas ========================================================================================================================

ALTER TABLE TblCitas ADD CONSTRAINT TblCitasPsrId FOREIGN KEY (PsrId) REFERENCES TblPrescriptores (PsrId);
ALTER TABLE TblCitas ADD CONSTRAINT TblCitasEspId FOREIGN KEY (EspId) REFERENCES TblEspecialidades (EspId);
ALTER TABLE TblCitas ADD CONSTRAINT TblCitasPacId FOREIGN KEY (PacId) REFERENCES TblPacientes (PacId);
ALTER TABLE TblCitas ADD CONSTRAINT TblCitasUsuId FOREIGN KEY (UsuId) REFERENCES TblUsuarios (UsuId);

# Relaciones de la tabla TblConfiguracionesAds ===========================================================================================================

ALTER TABLE TblConfiguracionesAds ADD CONSTRAINT TblConfiguracionesAdsPerId FOREIGN KEY (PerId) REFERENCES TblPerfiles (PerId);

# Relaciones de la tabla TblIngresos =====================================================================================================================

ALTER TABLE TblIngresos ADD CONSTRAINT TblIngresosCauId FOREIGN KEY (CauId) REFERENCES TblCausas (CauId);
ALTER TABLE TblIngresos ADD CONSTRAINT TblIngresosPacId FOREIGN KEY (PacId) REFERENCES TblPacientes (PacId);
ALTER TABLE TblIngresos ADD CONSTRAINT TblIngresosSerId FOREIGN KEY (SerId) REFERENCES TblServicios (SerId);
ALTER TABLE TblIngresos ADD CONSTRAINT TblIngresosAmbId FOREIGN KEY (AmbId) REFERENCES TblAmbientes (AmbId);
ALTER TABLE TblIngresos ADD CONSTRAINT TblIngresosPsrId FOREIGN KEY (PsrId) REFERENCES TblPrescriptores (PsrId);
ALTER TABLE TblIngresos ADD CONSTRAINT TblIngresosAdsId FOREIGN KEY (AdsId) REFERENCES TblAdmisiones (AdsId);
ALTER TABLE TblIngresos ADD CONSTRAINT TblIngresosUsuId FOREIGN KEY (UsuId) REFERENCES TblUsuarios (UsuId);
